---
table_name: issue_customer_relations_contacts
classes:
- CustomerRelations::IssueContact
feature_categories:
- service_desk
description: Holds Customer Relations (CRM) Contacts
introduced_by_url: https://gitlab.com/gitlab-org/gitlab/-/merge_requests/71007
milestone: '14.4'
gitlab_schema: gitlab_main_cell
allow_cross_foreign_keys:
- gitlab_main_clusterwide
desired_sharding_key:
  namespace_id:
    references: namespaces
    backfill_via:
      parent:
        foreign_key: issue_id
        table: issues
        sharding_key: namespace_id
        belongs_to: issue
table_size: small
